Class | Rake::InvocationChain
In: | lib/rake.rb
Parent: | Object

InvocationChain tracks the chain of task invocations to detect circular dependencies.

### Methods

append append member? new to_s

### Classes and Modules

Class Rake::InvocationChain::EmptyInvocationChain

### Constants

EMPTY | = | EmptyInvocationChain.new

### Public Class methods

append(value, chain)
new(value, tail)

### Public Instance methods

append(value)
member?(obj)
to_s()

[Validate]